# ThreadMutex_None Class Reference

Mutex that doesn't do locking because it ain't needed when there're no threads. More...

Inheritance diagram for ThreadMutex_None:

## Public Member Functions
virtual void | BeginCritical ()
| Begin the critical section.
virtual void | EndCritical ()
| End of the critical section.

## Detailed Description

Mutex that doesn't do locking because it ain't needed when there're no threads.

Definition at line 15 of file thread_none.cpp.

The documentation for this class was generated from the following file:

- src/thread_none.cpp